Bug 1268067 - Luks partition names aren't updated during partitioning [NEEDINFO]
Luks partition names aren't updated during partitioning
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-01 14:14 EDT by Aniruddha
Modified: 2016-04-29 13:41 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-29 13:41:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dshea: needinfo? (mailingdotlist)


Attachments (Terms of Use)

  None (edit)
Description Aniruddha 2015-10-01 14:14:35 EDT
Anaconda names the encrypted partition after the drive (e.g. luks-vda2) it's installed on. However when you add a partition (e.g. biosboot) The partition changes but the names don't which leads to confusing results in the partition summary.

To reproduce:

1 Select "I will configure partitioning" and "Encrypt my data."
2 Select "Click here to create the automatically", "LVM
3 Press "Done" and verify that anaconda creates luks formatted vda2 partition named luks-vda2. Click "Cancel & Return to Custom Partitioning"
3 Add biosboot partition press "Done" and verify that anaconda creates luks formatted vda3 partition named luks-vda2.
Comment 1 David Shea 2016-03-28 16:49:16 EDT
What version of anaconda is this? Can you attach the logs from /tmp from the installation environment? Anaconda should be using a UUID and not the partition name.

Note You need to log in before you can comment on or make changes to this bug.